LPRng Reference Manual: 3 May 2004 (For LPRng-3.8.27)
Prev | Chapter 16. Filters | Next

# 16.3. Print Job Formats

Options used:

- :if, cf, df, gf, nf, :of, rf, tf, vf, X f, Filter programs

LPRng has inherited a set of so-called `print formats' from its BSD ancestor. The format was used to specify the type of file that was being printed. The lpd server used the print format to select the filter for processing the file. The default format is f.

The user can specify the format (i.e., the file type) by giving the appropriate option to lpr:

- -b or -l: Binary (literal) file. No processing should be done. The l format is recorded as the file format.

- -c: cifplot(1) output.

- -d: TeX DVI file.

- -g: Output from the plot(3X) routines.

- -n or -t: (di)troff output.

- -p: Text file that should be pre-processed by the pr command, and then by the standard text filter.

- -v: Benson Varian raster image.

Alternatively, one can also use -Fx, where x is the format specifier. (E.g., -Fc instead of -c.) This last form also allows you to use other (non-standard) format specifiers.

The filter for format X is the value for the Xf printcap option, with some minor exceptions. The following Xf options have a pre-defined meaning.

- :if The f format filter, i.e. - for the default f format. All print jobs are passed through this one, unless another format is selected.

- cf Cifplot data filter (for -c format).

- df Filter for DVI files (-d).

- gf Graph data filter (-g).

- nf Ditroff data filter (-n).

- :of This filter is used for processing the (optional) banner at the start and/or end of the print job, and also for the interjob separators. See OF Filter for details.

- rf Filter for Fortran style files (-r).

- tf Troff filter (-t).

- vf (Versatek) raster image filter (-v).

Prev | Home | Next
Filter Exit Codes | Up | OF Filter